xine-lib: Data Fields - Variables

xine-lib 1.2.12

### - r -

- r : _PIXEL, Color, osd_renderer_private_t, palette_entry_s
- R : Similitude_Struct
- r : Similitude_Struct, vdr_frame_size_changed_data_s
- R2 : Similitude_Struct
- r2 : Similitude_Struct
- r_mean : Fractal_Struct
- ra_handle : realdec_decoder_s
- ra_offs : spudec_seq_t
- ra_seq : spudec_stream_state_s
- raCloseCodec : realdec_decoder_s
- raDecode : realdec_decoder_s
- radio : v4l2_input_plugin_t, v4l_input_plugin_t, xine_set_v4l2_data_t
- radio_fd : v4l_input_plugin_t
- raFlush : realdec_decoder_s
- raFreeDecoder : realdec_decoder_s
- raGetFlavorProperty : realdec_decoder_s
- raInitDecoder : realdec_decoder_s
- range_end : http_input_plugin_t
- range_max : cfg_entry_s, xine_cfg_entry_s, xine_post_api_parameter_t
- range_min : cfg_entry_s, xine_cfg_entry_s, xine_post_api_parameter_t
- range_start : http_input_plugin_t
- range_total : http_input_plugin_t
- rangemax : GoomState
- rangemin : GoomState
- raOpenCodec2 : realdec_decoder_s
- raSetDLLAccessPath : realdec_decoder_s
- raSetFlavor : realdec_decoder_s
- raSetPwd : realdec_decoder_s
- rate : ao_directx_t, ao_format_s, aos_t, CRange, demux_asf_s, demux_flac_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, demux_ts_t, dx2_driver_t, faad_decoder_s, fusionsound_driver_s, lpcm_decoder_s, post_audio_port_s, speex_decoder_s, v4l_input_plugin_t, w32a_decoder_s
- rate_code : mpeg_parser_s
- rating : asf_content_s, epg_entry_t
- ratio : aa_frame_s, aom_decoder_s, bitplane_decoder_s, dav1d_decoder_s, directfb_frame_s, dxr3_decoder_s, foovideo_decoder_s, macosx_driver_t, macosx_frame_t, mem_frame_t, mmal_decoder_s, mmal_frame_t, mpeg2_video_decoder_s, opengl_frame_t, pgx32_frame_t, pgx64_frame_t, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, qtv_decoder_s, raw_frame_t, realdec_decoder_s, rgb_decoder_s, sdl_frame_s, sequence_t, stk_frame_s, theora_decoder_s, vdec_hw_h264_frame_t, vdec_hw_h264_sequence_t, vdpau_frame_t, vdpau_h264_decoder_s, vidix_frame_s, vo_frame_s, vo_none_driver_t, vpx_decoder_s, w32v_decoder_s, win32_driver_t, win32_frame_t, xv_frame_t, xxmc_frame_t, yuv_decoder_s
- ratio_code : xine_current_frame_data_s
- raw_data : asf_header_internal_t, subtitle_object_s
- raw_data_len : subtitle_object_s
- raw_data_size : subtitle_object_s
- raw_output_cb : raw_driver_t, raw_visual_t
- raw_overlay_cb : raw_driver_t, raw_visual_t
- rbar : post_plugin_tdaan_t
- re : complex_s
- reached : xine_stream_private_st
- read : bits_reader_t, input_plugin_s, mpc_decoder_s, rip_input_plugin_s, tls_plugin_s, vdec_hw_h264_sequence_t, vdr_input_plugin_s
- read_block : input_plugin_s
- read_call : cache_input_plugin_t
- read_errs : demux_flac_t
- read_failcount : dvb_input_plugin_t
- read_pos : jack_driver_s
- read_retries : demux_ts_t
- read_version : ebml_parser_s
- readbits : bebf_t
- readcache : bebf_t
- reader : mpc_decoder_s
- reader_cond : rtp_input_plugin_t
- reader_thread : rtp_input_plugin_t
- readonly : xine_post_api_parameter_t
- readptr : bebf_t
- readstart : bebf_t
- readstop : bebf_t
- ready : xine_query_buffers_data_t
- ready_add : vos_t
- ready_first : vos_t
- ready_num : vos_t
- real_base : dxr3_frame_s
- realpos : sndio_driver_s
- reblock_buf : esd_driver_s
- reblock_rem : esd_driver_s
- rec_audio_src_size : faad_decoder_s, w32a_decoder_s
- rec_blk : pvr_input_plugin_t
- rec_fd : pvr_input_plugin_t
- rec_osd : dvb_input_plugin_t
- rec_page : pvr_input_plugin_t
- recay_ifs : _PLUGIN_INFO
- Receive : IMemInputPin_vt
- ReceiveCanBlock : IMemInputPin_vt
- ReceiveConnection : IPin_vt
- ReceiveMultiple : IMemInputPin_vt
- recent_frame : post_plugin_deinterlace_s
- recent_frames : vaapi_driver_s, xv_driver_s, xxmc_driver_s
- recent_gap : resample_sync_t
- record : _IAudioDecoder, _IVideoDecoder
- record_fd : dvb_input_plugin_t
- record_paused : dvb_input_plugin_t
- recv : pnm_s, rtsp_session_s
- recv_read : pnm_s, rtsp_session_s
- recv_size : pnm_s, rtsp_session_s
- redraw_needed : video_overlay_manager_s, vo_driver_s, vos_t
- reduce_gap : resample_sync_t
- reduced_resolution_vop_enable : picture_t
- redundant_pic_cnt : slice_header, vdec_hw_h264_lps_t
- redundant_pic_cnt_present_flag : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- ref : motion_s, motion_t, plugin_file_t, plugin_node_s
- ref2 : motion_s, motion_t
- ref_count : argb_layer_s
- ref_frames_max : vdec_hw_h264_s
- ref_frames_used : vdec_hw_h264_s, vdec_hw_h264_sps_t
- ref_frames_used_in_pic_order_cnt_cycle : vdec_hw_h264_sps_t
- ref_pic_list_reordering : slice_header
- ref_pic_list_reordering_flag_l0 : slice_header
- ref_pic_list_reordering_flag_l1 : slice_header
- refcount : _CBaseFilter2, _CBaseFilter, _CMediaSample, _COutputMemPin, _COutputPin, _MemAllocator, CEnumMediaTypes, CEnumPins, CInputPin, CRemotePin2, CRemotePin
- reference_count : qt_info
- reference_list : dpb
- reference_mode : demux_real_t
- referenceFrames : vdec_hw_h264_frame_info_s
- references : qt_info
- refs : faad_class_s, ff_saved_frame_t, mpd_input_plugin_s, xine_event_queue_private_s, xine_mfrag_list_s, xine_refs_t, xine_stream_private_st
- reg : em8300_register_t
- region : bluray_input_class_t
- regions : dvbsub_func_t, page_t
- register_alloc_cb : fifo_buffer_s
- register_bool : config_values_s
- register_entry : config_values_s
- register_enum : config_values_s
- register_filename : config_values_s
- register_get_cb : fifo_buffer_s
- register_num : config_values_s
- register_put_cb : fifo_buffer_s
- register_range : config_values_s
- register_scr : metronom_clock_s
- register_serialized_entry : config_values_s
- register_speed_change_callback : metronom_clock_s
- register_string : config_values_s
- regular : rip_input_plugin_s
- reinit_needed : vdpau_driver_t
- reject : theora_decoder_s
- rel_time : AnimHeader
- Release : IBaseFilter_vt, IDivxFilterInterface_vt, IEnumMediaTypes_vt, IEnumPins_vt, IHidden2_vt, IHidden_vt, IMediaSample_vt, IMemAllocator_vt, IMemInputPin_vt, IPin_vt
- release : xine_ticket_s
- release_current : xine_gl
- release_vaapi_surface : vaapi_accel_funcs_s
- ReleaseBuffer : IMemAllocator_vt
- reliable_flag : asf_stream_extension_s
- relw : opengl2_yuvtex_t
- remote : _COutputPin
- remote_pin : CRemotePin
- render_action : opengl_driver_t
- render_action_cond : opengl_driver_t
- render_action_mutex : opengl_driver_t
- render_double_buffer : opengl_driver_t
- render_frame_changed : opengl_driver_t
- render_fun_id : opengl_driver_t
- render_min_fps : opengl_driver_t
- render_return_cond : opengl_driver_t
- render_surface : vdpau_grab_video_frame_t, vdpau_overlay_t
- render_text : osd_renderer_s
- render_thread : opengl_driver_t
- render_vaapi_surface : vaapi_accel_funcs_s
- renderer : cc_decoder_s, cc_state_s, mmal_driver_t, osd_object_s, sputext_decoder_s
- renderer_ratio : mmal_driver_t
- renew : xine_ticket_s
- reorder_b : demux_asf_s
- reorder_h : demux_asf_s
- reorder_temp : demux_asf_s
- reorder_w : demux_asf_s
- reordering_of_pic_nums_idc : slice_header
- repeat_first_field : dxr3_decoder_s, picture_s, picture_t, vo_frame_s
- repeat_pic : coded_picture
- repeatHiSamples : Voice8Header
- reported_height : vdpau_h264_alter_decoder_t
- reported_ratio : vdpau_h264_alter_decoder_t
- reported_video_step : ff_video_decoder_s, sequence_t, vdpau_h264_alter_decoder_t, vdpau_h264_decoder_s
- reported_width : vdpau_h264_alter_decoder_t
- req_format : win32_driver_t
- req_height : xv_frame_t
- req_width : xv_frame_t
- requery_timeout : stdin_input_plugin_t
- request : vos_t
- resample_conf : aos_t
- resample_sync_factor : aos_t
- resample_sync_info : aos_t
- resample_sync_method : aos_t
- resend : aos_t
- resend_live_cleanpoints_flag : asf_stream_extension_s
- reserved : rmff_pheader_t, SoundComponentData, xdgHandle
- reset : audio_decoder_s
- Reset : IEnumDMO_vt, IEnumMediaTypes_vt, IEnumPins_vt
- reset : sequence_t, spu_decoder_s, vdec_hw_h264_sequence_t, vdpau_h264_decoder_s, video_decoder_s
- ResetPointer : _CMediaSample, _MemAllocator
- resize : xine_gl
- resizeViewOnVideoSizeChange : XineOpenGLView
- resolution : v4l2_video_t, v4l_input_plugin_t
- resource : mmal_overlay_s
- rest_buf : mad_decoder_s
- rest_read : mad_decoder_s
- rest_write : mad_decoder_s
- restrictions : id3v24_frame_ext_header_t
- result : em8300_overlay_calibrate_t, xine_xxmc_s
- result2 : em8300_overlay_calibrate_t
- resume : demux_ts_media, xine_stream_private_st
- resync : asf_demux_stream_t, stream_info_s
- resync_window : dxr3_decoder_s
- ret : http_input_plugin_t
- return_entry : vcdplayer_s
- return_object : xine_pool_s
- reused : vdec_hw_h264_sps_t
- revents : xine_event_queue_private_s
- reverse : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- reverse_nvidia_palette : xxmc_driver_s
- revision : id3v2_header_t
- revoke_callbacks : xine_ticket_private_t
- revoke_cb_data : xine_ticket_private_t
- revoked : xine_ticket_private_t
- rewind : hls_input_plugin_t, mpd_input_plugin_s
- rewire : xine_post_out_s
- rewirers : xine_ticket_private_t
- rff_pattern : mpeg2_video_decoder_s, mpeg2dec_s, post_plugin_deinterlace_s
- rfile : rip_input_plugin_s
- rgamma : eq2_parameters_s, vf_priv_s
- rgb : opengl_frame_t, raw_frame_t
- rgb2yuy2 : ff_video_decoder_s, png_decoder_s, post_plugin_goom_s, rgb_decoder_s
- rgb_clut : vo_overlay_s
- rgb_dst : fb_frame_s, opengl_frame_t, raw_frame_t, xshm_frame_t
- rgb_palette : bitplane_decoder_s
- rgb_stride : yuv2rgb_impl_s
- rgba : vdpau_grab_video_frame_t
- right : em8300_button_t, ff_audio_decoder_s, xine_audio_level_data_t
- right_vol : alsa_driver_s
- ring_buf : stdin_input_plugin_t
- ring_get : post_plugin_tdaan_t
- ring_put : post_plugin_tdaan_t
- ring_read : stdin_input_plugin_t
- ring_write : stdin_input_plugin_t
- ringbuf : post_plugin_tdaan_t
- rle : subtitle_object_s, vo_overlay_s
- rlse : demux_iff_t
- rms : tdaan_leveller_t
- Root : _IFS_DATA
- root : GOOM_HASH
- rot : _TENTACLE_FX_DATA
- rotation : _TENTACLE_FX_DATA
- route_preprocessing_procs : post_video_port_s
- row_count : yuv_planes_s
- row_pointers : png_decoder_s
- row_slice_count : mpeg2dec_accel_t
- row_width : yuv_planes_s
- rowpos : cc_buffer_s
- rows : cc_buffer_s
- rp : aos_t, vos_t
- rpc_thread : vdr_input_plugin_s
- rpc_thread_created : vdr_input_plugin_s
- rpc_thread_shutdown : vdr_input_plugin_s
- rpc_thread_shutdown_cond : vdr_input_plugin_s
- rpc_thread_shutdown_lock : vdr_input_plugin_s
- rtp_running : rtp_input_plugin_t
- rtsp : rtsp_input_plugin_t
- rtTimelength : _DMO_OUTPUT_DATA_BUFFER
- rtTimestamp : _DMO_OUTPUT_DATA_BUFFER
- run : DCTtab
- Run : IBaseFilter_vt
- run_length_minus1 : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- running : alsa_driver_s, broadcaster_s, epg_entry_t
- running_ticket : post_plugin_s
- running_time : demux_ac3_t, demux_aiff_t, demux_iff_t, demux_snd_t, demux_voc_t
- rv_handle : realdec_decoder_s
- rvyuv_custom_message : realdec_decoder_s
- rvyuv_free : realdec_decoder_s
- rvyuv_hive_message : realdec_decoder_s
- rvyuv_init : realdec_decoder_s
- rvyuv_transform : realdec_decoder_s
- rw : _PARAM